import request from '@/plugin/axios'


//查询列表
export function getPageList(data) {
    return request({
        url:'/callerRegister/getCallerRegisterByPage',
        method:'post',
        data
    })
}


//编辑回显
export function getList(data) {
    return request({
        url:'/callerRegister/getCallerRegisterById',
        method:'post',
        data
    })
}

//新增和修改
export function saveOrUpdataList(data) {
    return request({
        url: '/callerRegister/saveOrUpdCallerRegister',
        method: 'post',
        data
    })
}

//删除
export function deleteList(data) {
    return request({
        url: '/callerRegister/deleteCallerRegister',
        method: 'post',
        data
    })
}

//取消
export function CancelList(data) {
    return request({
        url:'/callerRegister/updateCallerRegisterCancel',
        method:'post',
        data
    })
}

//访客事由下拉
export function RmkPulldown(data) {
    return request({
        url:'/callerReasons/getCallerReasonsPullDown',
        method:'post',
        data
    })
}

//携带物品下拉
export function GoodsPulldown(data) {
    return request({
        url:'/callerItems/getCallerItemsPullDown',
        method:'post',
        data
    })
}
